Index: palm/trunk/SOURCE/advec_ws.f90
===================================================================
--- palm/trunk/SOURCE/advec_ws.f90	(revision 3240)
+++ palm/trunk/SOURCE/advec_ws.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 3183 2018-07-27 14:25:55Z suehring
 ! Rename variables for boundary-condition flags and for offline nesting mode 
 ! 
@@ -1169,5 +1172,4 @@
        INTEGER(iwp) ::  k     !<
        INTEGER(iwp) ::  k_mm  !<
-       INTEGER(iwp) ::  k_mmm !<
        INTEGER(iwp) ::  k_pp  !<
        INTEGER(iwp) ::  k_ppp !<
@@ -1712,5 +1714,5 @@
 
        USE indices,                                                           &
-           ONLY:  nxl, nxlu, nxr, nyn, nys, nzb, nzb_max, nzt, advc_flags_1
+           ONLY:  nxlu, nys, nzb, nzb_max, nzt, advc_flags_1
 
        USE kinds
@@ -2210,5 +2212,5 @@
 
        USE indices,                                                            &
-           ONLY:  nxl, nxr, nyn, nys, nysv, nzb, nzb_max, nzt, advc_flags_1
+           ONLY:  nysv, nzb, nzb_max, nzt, advc_flags_1
 
        USE kinds
@@ -2715,6 +2717,5 @@
 
        USE indices,                                                           &
-           ONLY:  nxl, nxr, nyn, nys, nzb, nzb_max, nzt, advc_flags_1,        &
-                  advc_flags_2
+           ONLY:  nys, nzb, nzb_max, nzt, advc_flags_1, advc_flags_2
 
        USE kinds
@@ -3223,5 +3224,4 @@
        INTEGER(iwp) ::  k      !<
        INTEGER(iwp) ::  k_mm   !<
-       INTEGER(iwp) ::  k_mmm  !<
        INTEGER(iwp) ::  k_pp   !<
        INTEGER(iwp) ::  k_ppp  !<
@@ -3750,5 +3750,5 @@
 
        USE indices,                                                            &
-           ONLY:  nxl, nxlu, nxr, nyn, nys, nzb, nzb_max, nzt, advc_flags_1
+           ONLY:  nxlu, nxr, nyn, nys, nzb, nzb_max, nzt, advc_flags_1
            
        USE kinds
Index: palm/trunk/SOURCE/boundary_conds.f90
===================================================================
--- palm/trunk/SOURCE/boundary_conds.f90	(revision 3240)
+++ palm/trunk/SOURCE/boundary_conds.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 3183 2018-07-27 14:25:55Z suehring
 ! Rename some variables concerning LES-LES as well as offline nesting
 ! 
@@ -189,9 +192,8 @@
     USE arrays_3d,                                                             &
         ONLY:  c_u, c_u_m, c_u_m_l, c_v, c_v_m, c_v_m_l, c_w, c_w_m, c_w_m_l,  &
-               diss, diss_p, dzu, e_p, nc_p, nr_p, pt, pt_p, q, q_p, qc_p,     &
-               qr_p, s,                                                        & 
-               s_p, sa, sa_p, u, ug, u_init, u_m_l, u_m_n, u_m_r, u_m_s, u_p,  &
-               v, vg, v_init, v_m_l, v_m_n, v_m_r, v_m_s, v_p,                 &
-               w, w_p, w_m_l, w_m_n, w_m_r, w_m_s, pt_init, ddzu
+               diss, diss_p, dzu, e_p, nc_p, nr_p, pt, pt_init, pt_p, q,       &
+               q_p, qc_p, qr_p, s, s_p, sa, sa_p, u, u_init, u_m_l, u_m_n,     &
+               u_m_r, u_m_s, u_p, v, v_init, v_m_l, v_m_n, v_m_r, v_m_s, v_p,  &
+               w, w_p, w_m_l, w_m_n, w_m_r, w_m_s
 
     USE chemistry_model_mod,                                                   &
@@ -215,5 +217,5 @@
     USE indices,                                                               &
         ONLY:  nx, nxl, nxlg, nxr, nxrg, ny, nyn, nyng, nys, nysg,             &
-               nzb, nzt, wall_flags_0
+               nzb, nzt
 
     USE kinds
Index: palm/trunk/SOURCE/buoyancy.f90
===================================================================
--- palm/trunk/SOURCE/buoyancy.f90	(revision 3240)
+++ palm/trunk/SOURCE/buoyancy.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused Variable removed
+!
+! 2718 2018-01-02 08:49:38Z maronga
 ! Corrected "Former revisions" section
 ! 
@@ -257,5 +260,4 @@
        INTEGER(iwp) ::  j              !<
        INTEGER(iwp) ::  k              !<
-       INTEGER(iwp) ::  pr             !<
        INTEGER(iwp) ::  wind_component !<
        
Index: palm/trunk/SOURCE/calc_liquid_water_content.f90
===================================================================
--- palm/trunk/SOURCE/calc_liquid_water_content.f90	(revision 3240)
+++ palm/trunk/SOURCE/calc_liquid_water_content.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 2719 2018-01-02 09:02:06Z maronga
 ! Bugfix for last change.
 ! 
@@ -84,5 +87,4 @@
 !
 !
-!
 ! Description:
 ! ------------
@@ -94,5 +96,4 @@
  
 
-
     USE arrays_3d,                                                             &
         ONLY:  q, qc, ql, qr
@@ -102,5 +103,5 @@
 
     USE diagnostic_quantities_mod,                                             &
-        ONLY:  e_s, magnus, q_s, sat, supersaturation, t_l
+        ONLY:  magnus, q_s, supersaturation
 
     USE indices,                                                               &
@@ -126,5 +127,5 @@
 !--          Call calculation of supersaturation located 
 !--          in diagnostic_quantities_mod
-             CALL supersaturation ( i, j, k )
+             CALL supersaturation( i, j, k )
 
 !
Index: palm/trunk/SOURCE/calc_mean_profile.f90
===================================================================
--- palm/trunk/SOURCE/calc_mean_profile.f90	(revision 3240)
+++ palm/trunk/SOURCE/calc_mean_profile.f90	(revision 3241)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! omp_get_thread_num now declared in openmp directive,
+! unused variable removed
+! 
+! 2718 2018-01-02 08:49:38Z maronga
 ! Corrected "Former revisions" section
 ! 
@@ -83,5 +87,5 @@
 
        USE control_parameters,                                                 &
-           ONLY:  intermediate_timestep_count, message_string
+           ONLY:  intermediate_timestep_count
 
        USE indices,                                                            &
@@ -103,5 +107,5 @@
        INTEGER(iwp) ::  k                  !<
        INTEGER(iwp) ::  pr                 !< 
-       INTEGER(iwp) ::  omp_get_thread_num !<
+!$     INTEGER(iwp) ::  omp_get_thread_num !<
        INTEGER(iwp) ::  tn                 !<
        
Index: palm/trunk/SOURCE/check_open.f90
===================================================================
--- palm/trunk/SOURCE/check_open.f90	(revision 3240)
+++ palm/trunk/SOURCE/check_open.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables and format statements removed
+! 
+! 3159 2018-07-20 11:20:01Z sward
 ! Added multi agent system
 ! 
@@ -172,17 +175,11 @@
  
 
-    USE arrays_3d,                                                             &
-        ONLY:  zu
-
     USE control_parameters,                                                    &
         ONLY:  coupling_char, data_output_2d_on_each_pe,                       &
                max_masks, message_string, mid, nz_do3d, openfile,              &
-               run_description_header, runnr
-
-    USE grid_variables,                                                        &
-        ONLY:  dx, dy
+               run_description_header
 
     USE indices,                                                               &
-        ONLY:  nbgp, nx, nxl, nxr, ny, nyn, nyng, nys, nysg, nz, nzb, nzt 
+        ONLY:  nbgp, nx, nxl, nxr, ny, nyn, nys, nz, nzb, nzt
 
     USE kinds
@@ -193,5 +190,5 @@
 
     USE netcdf_interface,                                                      &
-        ONLY:  id_set_agt, id_set_fl, id_set_mask, id_set_pr, id_set_prt,      &
+        ONLY:  id_set_agt, id_set_fl, id_set_mask, id_set_pr,                  &
                id_set_pts, id_set_sp, id_set_ts, id_set_xy, id_set_xz,         &
                id_set_yz, id_set_3d, nc_stat, netcdf_create_file,              &
@@ -212,15 +209,10 @@
 
     CHARACTER (LEN=4)   ::  mask_char               !<
-    CHARACTER (LEN=2)   ::  suffix                  !<
     CHARACTER (LEN=30)  ::  filename                !<
     CHARACTER (LEN=80)  ::  rtext                   !<
-    CHARACTER (LEN=100) ::  line                    !<
 
     INTEGER(iwp) ::  av          !<
     INTEGER(iwp) ::  file_id     !<
-    INTEGER(iwp) ::  i           !<
     INTEGER(iwp) ::  ioerr       !< IOSTAT flag for IO-commands ( 0 = no error )
-    INTEGER(iwp) ::  j           !<
-    INTEGER(iwp) ::  k           !<
     
     LOGICAL ::  netcdf_extend    !<
@@ -1259,15 +1251,4 @@
 !
 !-- Formats
-3300 FORMAT ('#'/                                                              &
-             'coord 1  file=',A,'  filetype=unformatted'/                      &
-             'coord 2  file=',A,'  filetype=unformatted  skip=',I6/            &
-             'coord 3  file=',A,'  filetype=unformatted  skip=',I6/            &
-             '#')
-4000 FORMAT ('# ',A)
-5000 FORMAT ('# ',A/                                                           &
-             '#1 E'/'#2 E*'/'#3 dt'/'#4 u*'/'#5 th*'/'#6 umax'/'#7 vmax'/      &
-             '#8 wmax'/'#9 div_new'/'#10 div_old'/'#11 z_i_wpt'/'#12 z_i_pt'/  &
-             '#13 w*'/'#14 w''pt''0'/'#15 w''pt'''/'#16 wpt'/'#17 pt(0)'/      &
-             '#18 pt(zp)'/'#19 splptx'/'#20 splpty'/'#21 splptz')
 8000 FORMAT (A/                                                                &
              '  step    time    # of parts     lPE sent/recv  rPE sent/recv  ',&
Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 3240)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id: check_parameters.f90 2520 2017-10-05 13:50:26Z gronemeier &
+! unused variables removed
+! 
+! 2520 2017-10-05 13:50:26Z gronemeier
 ! references to mrun replaced by palmrun, and updated
 ! 
@@ -3479,5 +3482,5 @@
           CASE DEFAULT
 
-             CALL tcm_check_data_output ( var, unit, i, ilen, k )
+             CALL tcm_check_data_output ( var, unit )
 
              IF ( unit == 'illegal' )  THEN
Index: palm/trunk/SOURCE/chem_photolysis_mod.f90
===================================================================
--- palm/trunk/SOURCE/chem_photolysis_mod.f90	(revision 3240)
+++ palm/trunk/SOURCE/chem_photolysis_mod.f90	(revision 3241)
@@ -26,10 +26,11 @@
 ! -----------------
 ! $Id$
+! unused variables commented
+! 
+! 2766 2018-01-22 17:17:47Z kanani
 ! Removed preprocessor directive __chem
 ! 
 ! 2718 2018-01-02 08:49:38Z maronga
 ! Initial revision
-!
-! 
 !
 !
@@ -37,5 +38,4 @@
 ! --------
 ! @author Renate Forkel
-!
 !
 !------------------------------------------------------------------------------!
@@ -143,7 +143,7 @@
 
 
-    REAL(wp) :: time_photolysis = 0.0_wp,         & !< time since last call of photolysis code
-                dt_photolysis = 0.0_wp,           & !< hotolysis model timestep
-                skip_time_do_photolysis = 0.0_wp    !< Radiation model is not called before this time
+!    REAL(wp) :: time_photolysis = 0.0_wp,         & !< time since last call of photolysis code
+!                dt_photolysis = 0.0_wp,           & !< hotolysis model timestep
+!                skip_time_do_photolysis = 0.0_wp    !< Radiation model is not called before this time
 
     REAL(wp)     :: cosz = 0.7_wp                   !< cosine of Zenith angle (45 deg, if not specified otherwise)
Index: palm/trunk/SOURCE/chemistry_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 3240)
+++ palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 3241)
@@ -298,13 +298,12 @@
                                                                                   
     USE control_parameters,                                                    &  
-        ONLY:  air_chemistry, bc_radiation_l, bc_radiation_n, bc_radiation_r,  &
-               bc_radiation_s                
+        ONLY:  bc_radiation_l, bc_radiation_n, bc_radiation_r, bc_radiation_s
+
     USE indices,                                                               &  
-        ONLY:  nxl, nxr,  nxlg, nxrg, nyng, nysg, nzt                              
+        ONLY:  nxl, nxr, nzt
                                                                                   
-!    USE prognostic_equations_mod,                                             &
-
     USE arrays_3d,                                                             &     
         ONLY:  dzu                                                
+
     USE surface_mod,                                                           &
         ONLY:  bc_h                                                           
@@ -318,5 +317,4 @@
     INTEGER(iwp) ::  m                                                            !< running index surface elements.
     INTEGER(iwp) ::  lsp                                                          !< running index for chem spcs.
-    INTEGER(iwp) ::  lph                                                          !< running index for photolysis frequencies
 
 
@@ -469,5 +467,5 @@
     INTEGER ::  lsp_pr     !< running index for number of species in cs_names, cs_profiles etc
     INTEGER ::  lpr_lev    !< running index for profile level for each chem spcs. 
-    INTEGER ::  npr_lev    !< the next available profile lev
+!    INTEGER ::  npr_lev    !< the next available profile lev
 
 !-----------------
@@ -548,11 +546,4 @@
 !------------------------------------------------------------------------------!
    SUBROUTINE chem_init
-
-
-      USE control_parameters,                                                  &
-         ONLY: message_string, io_blocks, io_group, turbulent_inflow
-       
-      USE arrays_3d,                                                           &
-          ONLY: mean_inflow_profiles
 
       USE pegrid
@@ -917,5 +908,5 @@
       INTEGER(iwp) ::  lsp                                                          !< running index for chem spcs.
       INTEGER(iwp) ::  lph                                                          !< running index for photolysis frequencies
-      INTEGER                  :: k,m,istatf                                        
+      INTEGER                  :: istatf
       INTEGER,dimension(20)    :: istatus
       REAL(kind=wp),dimension(nzb+1:nzt,nspec)                :: tmp_conc           
@@ -926,8 +917,6 @@
      REAL(wp)                         ::  conv                                !< conversion factor
      REAL(wp), PARAMETER              ::  ppm2fr  = 1.0e-6_wp                 !< Conversion factor ppm to fraction
-     REAL(wp), PARAMETER              ::  pref_i  = 1._wp / 100000.0_wp       !< inverse reference pressure (1/Pa)
      REAL(wp), PARAMETER              ::  t_std   = 273.15_wp                 !< standard pressure (Pa)
      REAL(wp), PARAMETER              ::  p_std   = 101325.0_wp               !< standard pressure (Pa)
-     REAL(wp), PARAMETER              ::  r_cp    = 0.286_wp                  !< R / cp (exponent for potential temperature)
      REAL(wp), PARAMETER              ::  vmolcm  = 22.414e3_wp               !< Mole volume (22.414 l) in cm^{-3}
      REAL(wp), PARAMETER              ::  xna     = 6.022e23_wp               !< Avogadro number (molecules/mol)
@@ -1068,8 +1057,4 @@
    SUBROUTINE chem_check_data_output( var, unit, i, ilen, k )
 
-
-      USE control_parameters,                                                 &
-         ONLY: data_output, message_string
-
       IMPLICIT NONE
 
@@ -1077,7 +1062,5 @@
       CHARACTER (LEN=*) ::  var      !<
 
-      INTEGER(iwp) :: i, lsp
-      INTEGER(iwp) :: ilen
-      INTEGER(iwp) :: k
+      INTEGER(iwp) ::  i, ilen, k, lsp
 
       CHARACTER(len=16)    ::  spec_name
@@ -1278,12 +1261,9 @@
     INTEGER(iwp) ::  m                  !< running index surface type
     INTEGER(iwp) :: lsp                 !< running index for chem spcs
-    INTEGER(iwp) :: lsp_2               !< it looks like redundent .. will be delted ..bK
   
     IF ( mode == 'allocate' )  THEN
        DO lsp = 1, nspec
           IF (TRIM(variable(4:)) == TRIM(chem_species(lsp)%name)) THEN
-!                   lsp_2 = lsp 
              chem_species(lsp)%conc_av = 0.0_wp
-             
           ENDIF
        ENDDO
@@ -1293,5 +1273,4 @@
        DO lsp = 1, nspec
           IF (TRIM(variable(4:)) == TRIM(chem_species(lsp)%name)) THEN
-!                   lsp_2 = lsp 
              DO  i = nxlg, nxrg
                 DO  j = nysg, nyng
@@ -1336,5 +1315,4 @@
        DO lsp = 1, nspec
           IF (TRIM(variable(4:)) == TRIM(chem_species(lsp)%name)) THEN
-!                   lsp_2 = lsp 
              DO  i = nxlg, nxrg
                 DO  j = nysg, nyng
Index: palm/trunk/SOURCE/close_file.f90
===================================================================
--- palm/trunk/SOURCE/close_file.f90	(revision 3240)
+++ palm/trunk/SOURCE/close_file.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables and format statements removed
+! 
+! 3045 2018-05-28 07:55:41Z Giersch
 ! z_max_do2d removed and output case 108 disabled
 ! 
@@ -91,12 +94,6 @@
 
     USE control_parameters,                                                    &
-        ONLY:  max_masks, mid, nz_do3d, openfile, run_description_header
+        ONLY:  max_masks, mid, openfile
                 
-    USE grid_variables,                                                        &
-        ONLY:  dy
-        
-    USE indices,                                                               &
-        ONLY:  nx, ny, nz
-        
     USE kinds
     
@@ -106,5 +103,5 @@
 
     USE netcdf_interface,                                                      &
-        ONLY:  id_set_mask, id_set_pr, id_set_prt, id_set_pts, id_set_sp,      &
+        ONLY:  id_set_mask, id_set_pr, id_set_pts, id_set_sp,                  &
                id_set_ts, id_set_xy, id_set_xz, id_set_yz, id_set_3d,          &
                id_set_fl, nc_stat, netcdf_data_format, netcdf_handle_error
@@ -127,8 +124,4 @@
     LOGICAL ::  datleg = .TRUE.   !< 
     LOGICAL ::  dbp = .FALSE.     !< 
-
-    REAL(wp) ::  sizex            !< 
-    REAL(wp) ::  sizey            !< 
-    REAL(wp) ::  yright           !< 
 
     NAMELIST /GLOBAL/  checkuf, datform, dimx, dimy, dbp, planz,               &
@@ -282,19 +275,3 @@
     ENDDO
 
-!
-!-- Formats
-3200 FORMAT ('# AVS',A,'field file'/                                           &
-             '#'/                                                              &
-             '# ',A/                                                           &
-             'ndim=3'/                                                         &
-             'dim1=',I5/                                                       &
-             'dim2=',I5/                                                       &
-             'dim3=',I5/                                                       &
-             'nspace=3'/                                                       &
-             'veclen=',I5/                                                     &
-             'data=xdr_float'/                                                 &
-             'field=rectilinear')
-4000 FORMAT ('time averaged over',F7.1,' s')
-
-
  END SUBROUTINE close_file
Index: palm/trunk/SOURCE/coriolis.f90
===================================================================
--- palm/trunk/SOURCE/coriolis.f90	(revision 3240)
+++ palm/trunk/SOURCE/coriolis.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 3183 2018-07-27 14:25:55Z suehring
 ! Remove masking of geostrophic wind forcing in offline nesting case
 ! 
@@ -112,5 +115,5 @@
            
        USE control_parameters,                                                 &
-           ONLY:  f, fs, message_string, nesting_offline
+           ONLY:  f, fs, message_string
            
        USE indices,                                                            &
@@ -211,5 +214,5 @@
            
        USE control_parameters,                                                 &
-           ONLY:  f, fs, message_string, nesting_offline
+           ONLY:  f, fs, message_string
            
        USE indices,                                                            &
Index: palm/trunk/SOURCE/data_output_2d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_2d.f90	(revision 3240)
+++ palm/trunk/SOURCE/data_output_2d.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 3176 2018-07-26 17:12:48Z suehring
 ! Remove output of latent heat flux at urban-surfaces and set fill values 
 ! instead 
@@ -232,5 +235,5 @@
     USE arrays_3d,                                                             &
         ONLY:  dzw, e, heatflux_output_conversion, nc, nr, p, pt,              &
-               precipitation_amount, prr, q, qc, ql, ql_c, ql_v, ql_vp, qr,    &
+               precipitation_amount, prr, q, qc, ql, ql_c, ql_v, qr,           &
                rho_ocean, s, sa, tend, u, v, vpt, w, zu, zw,                   &
                waterflux_output_conversion
@@ -249,5 +252,5 @@
                ibc_uv_b, io_blocks, io_group, land_surface, message_string,    &
                ntdim_2d_xy, ntdim_2d_xz, ntdim_2d_yz,                          &
-               psolver, section, simulated_time, simulated_time_chr,           &
+               psolver, section, simulated_time,                               &
                time_since_reference_point, uv_exposure
         
@@ -255,12 +258,9 @@
         ONLY:  cpu_log, log_point 
         
-    USE grid_variables,                                                        &
-        ONLY:  dx, dy
-
     USE gust_mod,                                                              &
         ONLY:  gust_data_output_2d, gust_module_enabled
         
     USE indices,                                                               &
-        ONLY:  nbgp, nx, nxl, nxlg, nxr, nxrg, ny, nyn, nyng, nys, nysg, nz,   &
+        ONLY:  nbgp, nx, nxl, nxlg, nxr, nxrg, ny, nyn, nyng, nys, nysg,       &
                nzb, nzt, wall_flags_0
                
@@ -304,5 +304,4 @@
     CHARACTER (LEN=2)  ::  mode         !< 
     CHARACTER (LEN=4)  ::  grid         !< 
-    CHARACTER (LEN=25) ::  section_chr  !< 
     CHARACTER (LEN=50) ::  rtext        !< 
     
@@ -325,5 +324,4 @@
     INTEGER(iwp) ::  nzb_do    !< lower limit of the data field (usually nzb)
     INTEGER(iwp) ::  nzt_do    !< upper limit of the data field (usually nzt+1)
-    INTEGER(iwp) ::  psi       !< 
     INTEGER(iwp) ::  s_ind     !< 
     INTEGER(iwp) ::  sender    !< 
@@ -1399,5 +1397,5 @@
                 IF ( .NOT. found )  THEN
                    CALL tcm_data_output_2d( av, do2d(av,if), found, grid, mode,&
-                                             local_pf, two_d, nzb_do, nzt_do )
+                                             local_pf, nzb_do, nzt_do )
                 ENDIF
 
@@ -1420,5 +1418,5 @@
 !--             UV exposure model quantity
                 IF ( uv_exposure )  THEN
-                   CALL uvem_data_output_2d( av, do2d(av,if), found, grid, mode,&
+                   CALL uvem_data_output_2d( av, do2d(av,if), found, grid,     &
                                              local_pf, two_d, nzb_do, nzt_do )
                 ENDIF
Index: palm/trunk/SOURCE/data_output_3d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_3d.f90	(revision 3240)
+++ palm/trunk/SOURCE/data_output_3d.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables and format statements removed
+! 
+! 3049 2018-05-29 13:52:36Z Giersch
 ! Error messages revised
 ! 
@@ -227,6 +230,6 @@
         
     USE indices,                                                               &
-        ONLY:  nbgp, nx, nxl, nxlg, nxr, nxrg, ny, nyn, nyng, nys, nysg, nzb,  &
-               nzt, wall_flags_0
+        ONLY:  nbgp, nxl, nxlg, nxr, nxrg, nyn, nyng, nys, nysg, nzb, nzt,     &
+               wall_flags_0
         
     USE kinds
@@ -926,8 +929,3 @@
     CALL cpu_log( log_point(14), 'data_output_3d', 'stop' )
 
-!
-!-- Formats.
-3300 FORMAT ('variable ',I4,'  file=',A,'  filetype=unformatted  skip=',I12/   &
-             'label = ',A,A)
-
  END SUBROUTINE data_output_3d
Index: palm/trunk/SOURCE/data_output_flight.f90
===================================================================
--- palm/trunk/SOURCE/data_output_flight.f90	(revision 3240)
+++ palm/trunk/SOURCE/data_output_flight.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 2718 2018-01-02 08:49:38Z maronga
 ! Corrected "Former revisions" section
 ! 
@@ -47,6 +50,5 @@
 #if defined( __netcdf )
     USE control_parameters,                                                    &
-        ONLY:  message_string, num_leg, num_var_fl, run_description_header,    &
-               time_since_reference_point, virtual_flight
+        ONLY:  num_leg, num_var_fl, time_since_reference_point, virtual_flight
 
     USE cpulog,                                                                &
Index: palm/trunk/SOURCE/data_output_mask.f90
===================================================================
--- palm/trunk/SOURCE/data_output_mask.f90	(revision 3240)
+++ palm/trunk/SOURCE/data_output_mask.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variable removed
+! 
+! 3083 2018-06-19 14:03:12Z gronemeier
 ! 
 ! 
@@ -144,5 +147,5 @@
 
     USE indices,                                                               &
-        ONLY:  nbgp, nxl, nxr, nyn, nys, nzb, nzt
+        ONLY:  nbgp, nxl, nxr, nyn, nys, nzb
         
     USE kinds
@@ -173,5 +176,4 @@
     INTEGER(iwp) ::  n        !< 
     INTEGER(iwp) ::  netcdf_data_format_save !<
-    INTEGER(iwp) ::  psi      !< 
     INTEGER(iwp) ::  sender   !< 
     INTEGER(iwp) ::  ind(6)   !< 
Index: palm/trunk/SOURCE/data_output_profiles.f90
===================================================================
--- palm/trunk/SOURCE/data_output_profiles.f90	(revision 3240)
+++ palm/trunk/SOURCE/data_output_profiles.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused format statements removed
+! 
+! 2932 2018-03-26 09:39:22Z maronga
 ! renamed d3par to runtime_parameters
 ! 
@@ -346,9 +349,3 @@
     CALL cpu_log( log_point(15), 'data_output_profiles','stop' )
 
-!
-!-- Formats
-100 FORMAT ('#1 ',A,1X,A)
-101 FORMAT (E15.7,1X,E15.7)
-102 FORMAT ('NEXT')
-
  END SUBROUTINE data_output_profiles
Index: palm/trunk/SOURCE/data_output_spectra.f90
===================================================================
--- palm/trunk/SOURCE/data_output_spectra.f90	(revision 3240)
+++ palm/trunk/SOURCE/data_output_spectra.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 2718 2018-01-02 08:49:38Z maronga
 ! Corrected "Former revisions" section
 ! 
@@ -95,6 +98,5 @@
 #if defined( __netcdf )
     USE control_parameters,                                                    &
-        ONLY:  message_string, run_description_header,                         &
-               time_since_reference_point
+        ONLY:  message_string, time_since_reference_point
 
     USE cpulog,                                                                &
@@ -118,12 +120,7 @@
     IMPLICIT NONE
 
-    INTEGER(iwp) ::  cranz_x !<
-    INTEGER(iwp) ::  cranz_y !<
     INTEGER(iwp) ::  m       !<
     INTEGER(iwp) ::  pr      !<
     
-    LOGICAL      ::  frame_x !< 
-    LOGICAL      ::  frame_y !<
-
     CALL cpu_log( log_point(31), 'data_output_spectra', 'start' )
 
Index: palm/trunk/SOURCE/data_output_tseries.f90
===================================================================
--- palm/trunk/SOURCE/data_output_tseries.f90	(revision 3240)
+++ palm/trunk/SOURCE/data_output_tseries.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused format removed
+! 
+! 2718 2018-01-02 08:49:38Z maronga
 ! Corrected "Former revisions" section
 ! 
@@ -158,7 +161,3 @@
     CALL cpu_log( log_point(21), 'data_output_tseries', 'stop' )
 
-!
-!-- formats
-500 FORMAT (23(E15.7,1X))
-
  END SUBROUTINE data_output_tseries
Index: palm/trunk/SOURCE/diffusion_u.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_u.f90	(revision 3240)
+++ palm/trunk/SOURCE/diffusion_u.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 2718 2018-01-02 08:49:38Z maronga
 ! Corrected "Former revisions" section
 ! 
@@ -136,5 +139,5 @@
        
        USE indices,                                                            &
-           ONLY:  nxl, nxlu, nxr, nyn, nys, nzb, nzt, wall_flags_0
+           ONLY:  nxlu, nxr, nyn, nys, nzb, nzt, wall_flags_0
      
        USE kinds
Index: palm/trunk/SOURCE/diffusion_v.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_v.f90	(revision 3240)
+++ palm/trunk/SOURCE/diffusion_v.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 2718 2018-01-02 08:49:38Z maronga
 ! Corrected "Former revisions" section
 ! 
@@ -131,5 +134,5 @@
        
        USE indices,                                                            &
-           ONLY:  nxl, nxr, nyn, nys, nysv, nzb, nzt, wall_flags_0
+           ONLY:  nxl, nxr, nyn, nysv, nzb, nzt, wall_flags_0
        
        USE kinds
Index: palm/trunk/SOURCE/diffusion_w.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_w.f90	(revision 3240)
+++ palm/trunk/SOURCE/diffusion_w.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 2718 2018-01-02 08:49:38Z maronga
 ! Corrected "Former revisions" section
 ! 
@@ -126,7 +129,4 @@
        USE arrays_3d,                                                          &          
            ONLY :  ddzu, ddzw, km, tend, u, v, w, drho_air_zw, rho_air
-           
-       USE control_parameters,                                                 & 
-           ONLY :  topography
            
        USE grid_variables,                                                     &     
@@ -305,12 +305,9 @@
            ONLY :  ddzu, ddzw, km, tend, u, v, w, drho_air_zw, rho_air
            
-       USE control_parameters,                                                 & 
-           ONLY :  topography
-           
        USE grid_variables,                                                     &     
            ONLY :  ddx, ddy
            
        USE indices,                                                            &            
-           ONLY :  nxl, nxr, nyn, nys, nzb, nzt, wall_flags_0
+           ONLY :  nzb, nzt, wall_flags_0
            
        USE kinds
Index: palm/trunk/SOURCE/disturb_heatflux.f90
===================================================================
--- palm/trunk/SOURCE/disturb_heatflux.f90	(revision 3240)
+++ palm/trunk/SOURCE/disturb_heatflux.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variable removed
+! 
+! 2718 2018-01-02 08:49:38Z maronga
 ! Corrected "Former revisions" section
 ! 
@@ -91,5 +94,5 @@
     USE random_generator_parallel,                                             &
         ONLY:  random_number_parallel, random_seed_parallel, random_dummy,     &
-               id_random_array, seq_random_array
+               seq_random_array
 
     USE surface_mod,                                                           &
